# Post Action Plan TOE ID source: https://developer.mastercard.com/riskrecon-api/documentation/testing/actionplan-samples/post-actpln-toe-smpl/index.md Allows users to send action plan findings to external recipients and internal recipients. ## Pre-requisites {#pre-requisites} Refer to the [POST Action Plan TOE ID](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/risk-mgmt-issue-rmdfn/actionplan/post-actpln-toe/index.md) use case. ## Request URL for Sandbox environment {#request-url-for-sandbox-environment} ```bash POST https://api.sandbox.riskrecon.com/v1/action_plan/{toe_id} ``` ## Request URL for Production environment {#request-url-for-production-environment} ```bash POST https://api.riskrecon.com/v1/action_plan/{toe_id} ``` ## Test Cases {#test-cases} ### Test Case: Success - Post action plan TOE ID {#test-case-success---post-action-plan-toe-id} **Request** Here is an example of a request made using a `curl` command. ```bash curl -X 'POST' \ 'https://api.sandbox.riskrecon.com/v1/action_plan/09918d09-8d52-4e86-a3ec-5ef4d461e2ba' \ -H 'Authorization: Bearer {{ jwt here }}' \ -H 'Content-Type: application/json' \ -d '{ "frequency": 0, "recipients": [ { "email": "john.doe@riskrecon.com", "first_name": "John", "internal": false, "last_name": "Doe" } ] }' ``` **Response** "Created" ### Test Case: Fail - Invalid JSON Web Token {#test-case-fail---invalid-json-web-token} **Request** Here is an example of a request made with an incorrect JSON Web Token using a `curl` command. ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/action_plan/30c9a286-2d9c-4c57-828d-9b503a14cf39' \ -H 'accept: application/json' \ -H 'Authorization: Bearer invalid_JWT_token' ``` **Response** HTTP Error Response 401 ```json { "Errors": { "Error": [ { "Description": "Unauthorized request", "Details": "Invalid JWT", "ReasonCode": "UNAUTHORIZED", "Recoverable": false, "Source": "RISKRECON_API" } ] } } ```